<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fdkankan.scene.mapper.IScene3dNumMapper">

    <select id="findSceneNum" resultType="java.lang.String">
        SELECT scene_code FROM t_scene_3d_num  WHERE used = 0 AND rec_status = 'A' LIMIT 500
    </select>

    <select id="updateUsedStatus">
        update t_scene_3d_num set used = 1 , update_time = now() where scene_code in
        <foreach item="sceneCode" collection="sceneCodes" open="(" separator="," close=")">
          #{sceneCode}
        </foreach>
    </select>

</mapper>
